/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.ParamCostoTarjetaDAO;
import com.rjconsultores.ventaboletos.entidad.ParamCostoTarjeta;
import com.rjconsultores.ventaboletos.service.ParamCostoTarjetaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

/**
 *
 * @author Rafius
 */
@Service("paramCostoTarjetaService")
public class ParamCostoTarjetaServiceImpl implements ParamCostoTarjetaService {

    @Autowired
    private ParamCostoTarjetaDAO paramCostoTarjetaDAO;

    public List<ParamCostoTarjeta> obtenerTodos() {
        return paramCostoTarjetaDAO.obtenerTodos();
    }

    public ParamCostoTarjeta obtenerID(Integer id) {
        return paramCostoTarjetaDAO.obtenerID(id);
    }

    @Transactional
    public ParamCostoTarjeta suscribir(ParamCostoTarjeta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paramCostoTarjetaDAO.suscribir(entidad);
    }

    @Transactional
    public ParamCostoTarjeta actualizacion(ParamCostoTarjeta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return paramCostoTarjetaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ParamCostoTarjeta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        paramCostoTarjetaDAO.actualizacion(entidad);
    }

    public List<ParamCostoTarjeta> buscar(ParamCostoTarjeta paramCostoTarjeta) {
          return paramCostoTarjetaDAO.buscar(paramCostoTarjeta);
    }
}
